## org.apache.ajp.tomcat4
Class Ajp13Request

    java.lang.Object
      HttpRequestBase
          org.apache.ajp.tomcat4.Ajp13Request

public class Ajp13Request
extends HttpRequestBase

See Also:
  Serialized Form

Constructor Summary
`Ajp13Request(Ajp13Connector connector)`

Method Summary
`javax.servlet.ServletInputStream` `createInputStream()`
`protected void` `parseLocalesHeader(java.lang.String value)` Parse accept-language header value.
`void` `recycle()`
`void` `setRequestURI(java.lang.String uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ajp13Request

    public Ajp13Request(Ajp13Connector connector)

Method Detail

### recycle

    public void recycle()

### setRequestURI

    public void setRequestURI(java.lang.String uri)

### createInputStream

    public javax.servlet.ServletInputStream createInputStream()
                                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### parseLocalesHeader

    protected void parseLocalesHeader(java.lang.String value)

  Parse accept-language header value.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.